{: test parameter and assignment bounds errors
   these errors should not cause follow-on errors at compile time }
program e205(output);

const n = 5.5;

type
  bType  = -n..+n; {!!! error n is real}

var
   a1    : bType;
   i,j   : integer;

procedure p2( aa : bType );
begin
   aa := -n;
   aa := -n-1;

   aa := n;
   aa := n+1;

   write('error not detected');
end; { p2 }

begin

   a1 := 0;
   a1 := -100;
   a1 := 100;
   a1 := 1000.5;

   p2(-5);
   p2(-6);
   p2(-n-1);
   p2(-2*3);

   p2(5);
   p2(6);
   p2(n+1);
   p2(2*3);

   j := -5;
   p2(j);
   p2(j-1);

   j := 5;
   p2(j);
   p2(j+1);


end. { e205 }
